Get records for imported data
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Records retrieved successfully",
"data": {
"current_page": 123,
"data": [
{
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"values": [
{
"column_id": 123,
"column_name": "<string>",
"data_type": "<string>",
"value": "<string>"
}
]
}
],
"per_page": 123,
"total": 123
},
"fields": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "brand",
"data_type": "text"
}
],
"pagination": {
"page": 1,
"per_page": 100,
"total": 40,
"total_pages": 1,
"current_page": 1,
"last_page": 1,
"count": 40,
"first_page_url": "<string>",
"last_page_url": "<string>",
"next_page_url": "<string>",
"prev_page_url": "<string>",
"has_more_pages": true
}
}{
"success": false,
"message": "Data not found",
"data": [
"<unknown>"
]
}Tables
Get records for imported data
Returns paginated table records with their field values. Use this to inspect imported rows, power external data review tools, or retrieve the records an agent can query during conversations.
GET
/
api
/
v1
/
data
/
{uuid}
/
records
Get records for imported data
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.mihu.ai/api/v1/data/{uuid}/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Records retrieved successfully",
"data": {
"current_page": 123,
"data": [
{
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"values": [
{
"column_id": 123,
"column_name": "<string>",
"data_type": "<string>",
"value": "<string>"
}
]
}
],
"per_page": 123,
"total": 123
},
"fields": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "brand",
"data_type": "text"
}
],
"pagination": {
"page": 1,
"per_page": 100,
"total": 40,
"total_pages": 1,
"current_page": 1,
"last_page": 1,
"count": 40,
"first_page_url": "<string>",
"last_page_url": "<string>",
"next_page_url": "<string>",
"prev_page_url": "<string>",
"has_more_pages": true
}
}{
"success": false,
"message": "Data not found",
"data": [
"<unknown>"
]
}Authorizations
Response
Records retrieved successfully